package cl.jtv;

/*
 * ComandoAC.java
 *
 * Created on 19 de febrero de 2003, 02:30 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoAC extends Comando {

    /** Creates new ComandoAC */
    public ComandoAC(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);       
    }

    public void doIt() {
        JTV jtv = (JTV)artefacto;
        
        jtv.addTape();
        jtv.setArrayOfTapes();
        vector2.incrNumeroCintas();
        
        Maquina.displayIndex=vector2.getNumeroCintas()!=1;        
        jtv.getDrawingTapesArea().repaint();
    }
    
    
}
